com.pivotal.gemfirexd.internal.client.net

## Class NetStatementRequest

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.net.Request
  - - com.pivotal.gemfirexd.internal.client.net.NetConnectionRequest
    - - com.pivotal.gemfirexd.internal.client.net.NetPackageRequest
      - - com.pivotal.gemfirexd.internal.client.net.NetStatementRequest

All Implemented Interfaces:
  ConnectionRequestInterface, StatementRequestInterface

Direct Known Subclasses:
  NetResultSetRequest

    public class NetStatementRequest
    extends NetPackageRequest
    implements StatementRequestInterface

### Field Summary

### Fields inherited from class com.pivotal.gemfirexd.internal.client.net.Request

`bytes_, ccsidManager_, DSS_CONTINUATION_LEN, dssLengthLocation_, netAgent_, offset_, passwordIncluded_, passwordLength_, passwordStart_`

### Method Summary

Methods
`protected void` `buildOUTOVR(ResultSet resultSet, ColumnMetaData resultSetMetaData)`
`protected void` `buildSQLCADTA(int numColumns, int[][] lidAndLengthOverrides)`
`protected void` `buildSQLDTA(int numColumns, int[][] lidAndLengthOverrides, boolean overrideExists, Hashtable overrideMap, ArrayList overrideArray)`
`protected void` `buildSQLDTAGRP(int numVars, int[][] lidAndLengthOverrides, boolean mddRequired, Hashtable overrideMap)`
`protected void` `buildSQLDTARD(int numColumns, int[][] lidAndLengthOverrides)`
`void` `writeDescribeInput(NetPreparedStatement materialPreparedStatement, Section section)`
`void` `writeDescribeOutput(NetPreparedStatement materialPreparedStatement, Section section)`
`void` `writeExecute(NetPreparedStatement materialPreparedStatement, Section section, ColumnMetaData parameterMetaData, Object[] inputs, int numInputColumns, boolean outputExpected, boolean chained)`
`void` `writeExecute(NetPreparedStatement materialPreparedStatement, Section section, ColumnMetaData parameterMetaData, Object[] inputs, int numInputColumns, boolean outputExpected, boolean batchOutput, boolean chained)`
`void` `writeExecuteCall(NetStatement materialStatement, boolean outputExpected, String procedureName, Section section, int fetchSize, boolean suppressResultSets, int resultSetType, ColumnMetaData parameterMetaData, Object[] inputs)`
`void` `writeExecuteImmediate(NetStatement materialStatement, String sql, Section section)`
`void` `writeGetStmtUUID(Section section)`
`void` `writeOpenQuery(NetPreparedStatement materialPreparedStatement, Section section, int fetchSize, int resultSetType, int numInputColumns, ColumnMetaData parameterMetaData, Object[] inputs)`
`void` `writeOpenQuery(NetStatement materialStatement, Section section, int fetchSize, int resultSetType)`
`void` `writePrepare(NetStatement materialStatement, String sql, Section section)`
`void` `writePrepareDescribeOutput(NetStatement materialStatement, String sql, Section section, boolean needStatementUUID)`
`void` `writeSetSpecialRegister(Section section, ArrayList sqlsttList)`

### Methods inherited from class com.pivotal.gemfirexd.internal.client.net.NetPackageRequest

`buildSQLATTRcommandData, buildSQLSTTcommandData, encryptDataStream`

### Methods inherited from class com.pivotal.gemfirexd.internal.client.net.NetConnectionRequest

`writeCommitSubstitute, writeForget, writeLocalCommit, writeLocalRollback, writeLocalXACommit, writeLocalXARollback, writeLocalXAStart, writeReleaseConversation, writeSYNCType, writeXaCommit, writeXaEndUnitOfWork, writeXaForget, writeXaPrepare, writeXaRecover, writeXaRollback, writeXaStartUnitOfWork`

### Methods inherited from class com.pivotal.gemfirexd.internal.client.net.Request

`calculateExtendedLengthByteCount, clearBuffer, createCommand, createXACommand, doesRequestContainData, ensureLength, finalizeDssLength, finalizePreviousChainedDss, flush, flushExistingDSS, flushScalarStreamSegment, flushScalarStreamSegment, mark, markForCachingPKGNAMCSN, markLengthBytes, padScalarStreamForError, popMark, popMarkForCachingPKGNAMCSN, prepScalarStream, sendBytes, setCorrelationID, setDssLengthLocation, updateLengthBytes, writeDouble, writeFloat, writeIntFdocaData, writeLongFdocaData, writeScalar1Byte, writeScalar4Bytes, writeShortFdocaData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### writeExecuteImmediate

    public void writeExecuteImmediate(NetStatement materialStatement,
                             String sql,
                             Section section)
                               throws SqlException

Specified by:
  `writeExecuteImmediate` in interface `StatementRequestInterface`
Throws:
  `SqlException`

#### writePrepareDescribeOutput

    public void writePrepareDescribeOutput(NetStatement materialStatement,
                                  String sql,
                                  Section section,
                                  boolean needStatementUUID)
                                    throws SqlException

Specified by:
  `writePrepareDescribeOutput` in interface `StatementRequestInterface`
Throws:
  `SqlException`

#### writeGetStmtUUID

    public void writeGetStmtUUID(Section section)
                          throws SqlException

Specified by:
  `writeGetStmtUUID` in interface `StatementRequestInterface`
Throws:
  `SqlException`

#### writePrepare

    public void writePrepare(NetStatement materialStatement,
                    String sql,
                    Section section)
                      throws SqlException

Specified by:
  `writePrepare` in interface `StatementRequestInterface`
Throws:
  `SqlException`

#### writeExecute

    public void writeExecute(NetPreparedStatement materialPreparedStatement,
                    Section section,
                    ColumnMetaData parameterMetaData,
                    Object[] inputs,
                    int numInputColumns,
                    boolean outputExpected,
                    boolean chained)
                      throws SqlException

Specified by:
  `writeExecute` in interface `StatementRequestInterface`
Throws:
  `SqlException`

#### writeExecute

    public void writeExecute(NetPreparedStatement materialPreparedStatement,
                    Section section,
                    ColumnMetaData parameterMetaData,
                    Object[] inputs,
                    int numInputColumns,
                    boolean outputExpected,
                    boolean batchOutput,
                    boolean chained)
                      throws SqlException

Specified by:
  `writeExecute` in interface `StatementRequestInterface`
Throws:
  `SqlException`

#### writeOpenQuery

    public void writeOpenQuery(NetPreparedStatement materialPreparedStatement,
                      Section section,
                      int fetchSize,
                      int resultSetType,
                      int numInputColumns,
                      ColumnMetaData parameterMetaData,
                      Object[] inputs)
                        throws SqlException

Specified by:
  `writeOpenQuery` in interface `StatementRequestInterface`
Throws:
  `SqlException`

#### writeOpenQuery

    public void writeOpenQuery(NetStatement materialStatement,
                      Section section,
                      int fetchSize,
                      int resultSetType)
                        throws SqlException

Specified by:
  `writeOpenQuery` in interface `StatementRequestInterface`
Throws:
  `SqlException`

#### writeDescribeInput

    public void writeDescribeInput(NetPreparedStatement materialPreparedStatement,
                          Section section)
                            throws SqlException

Specified by:
  `writeDescribeInput` in interface `StatementRequestInterface`
Throws:
  `SqlException`

#### writeDescribeOutput

    public void writeDescribeOutput(NetPreparedStatement materialPreparedStatement,
                           Section section)
                             throws SqlException

Specified by:
  `writeDescribeOutput` in interface `StatementRequestInterface`
Throws:
  `SqlException`

#### writeExecuteCall

    public void writeExecuteCall(NetStatement materialStatement,
                        boolean outputExpected,
                        String procedureName,
                        Section section,
                        int fetchSize,
                        boolean suppressResultSets,
                        int resultSetType,
                        ColumnMetaData parameterMetaData,
                        Object[] inputs)
                          throws SqlException

Specified by:
  `writeExecuteCall` in interface `StatementRequestInterface`
Throws:
  `SqlException`

#### buildSQLDTA

    protected void buildSQLDTA(int numColumns,
                   int[][] lidAndLengthOverrides,
                   boolean overrideExists,
                   Hashtable overrideMap,
                   ArrayList overrideArray)
                        throws SqlException

Throws:
  `SqlException`

#### buildSQLDTAGRP

    protected void buildSQLDTAGRP(int numVars,
                      int[][] lidAndLengthOverrides,
                      boolean mddRequired,
                      Hashtable overrideMap)
                           throws SqlException

Throws:
  `SqlException`

#### buildOUTOVR

    protected void buildOUTOVR(ResultSet resultSet,
                   ColumnMetaData resultSetMetaData)
                        throws SqlException

Throws:
  `SqlException`

#### buildSQLDTARD

    protected void buildSQLDTARD(int numColumns,
                     int[][] lidAndLengthOverrides)
                          throws SqlException

Throws:
  `SqlException`

#### buildSQLCADTA

    protected void buildSQLCADTA(int numColumns,
                     int[][] lidAndLengthOverrides)
                          throws SqlException

Throws:
  `SqlException`

#### writeSetSpecialRegister

    public void writeSetSpecialRegister(Section section,
                               ArrayList sqlsttList)
                                 throws SqlException

Specified by:
  `writeSetSpecialRegister` in interface `StatementRequestInterface`
Throws:
  `SqlException`